
# ext_m2_Feefo  
  
This Magento 2 module adds the ability to create and surface a Feefo Sales Feed plus the ability to render Feefo product & service reviews.  
  
## Installation  
  
Use the package manager [composer](https://getcomposer.org/) to install the module.  
  
```bash  
composer require pinpoint/feefo  
```  

## Configuration
To configure this module you need to go to `Admin > Stores > Configuration > Pinpoint > Feefo`. Inside here you will be able to manage your Feefo details, settings for Product and Service reviews individually and the Sales Order XML Feed.

## Management of Reviews
To manage product reviews head over to `Admin > Marketing > User Content > Feefo Product Reviews`. Here you will be able to edit:

 - If the module is enabled or disabled
 - Rating
 - Summary
 
To manage service reviews head over to `Admin > Marketing > User Content > Feefo Service Reviews`. Here you will be able to edit:

 - If the module is enabled or disabled
 - Title
 - Rating
 - Summary

## Usage  
### Display Service Reviews  
Adding service slider to page via XML:  
```xml  
<block name="pinpoint.service.slider" template="services/slider.phtml" class="Pinpoint\Feefo\Block\Services\Reviews" before="-" />  
```  
Get service reviews inside template:  
```php  
/** \Pinpoint\Feefo\Model\FeefoServiceReview $serviceReview */
foreach ($block->getServiceReviews(true) as $serviceReview) {
	$serviceReview->getData('id');
	$serviceReview->getData('feefo_rating_id');
	$serviceReview->getData('customer_name');
	$serviceReview->getData('rating');
	$serviceReview->getData('review_title');
	$serviceReview->getData('summary');
	$serviceReview->getData('helpful_votes');
	$serviceReview->getData('created_at');
	$serviceReview->getData('status');
} 
```  
### Display Product Reviews  
Adding product reviews via XML:  
```xml
<block class="Pinpoint\Feefo\Block\Product\Reviews" name="pinpoint.feefo.product.reviews" template="product/reviews.phtml" after="product.info.details" />
```
Get product reviews inside template:
```php  
/** \Pinpoint\Feefo\Model\FeefoReview $productReview */
foreach ($block->getServiceReviews(true) as $productReview) {
	$productReview->getData('id');
	$productReview->getData('feefo_rating_id');
	$productReview->getData('customer_name');
	$productReview->getData('product_sku');
	$productReview->getData('rating');
	$productReview->getData('product_title');
	$productReview->getData('summary');
	$productReview->getData('helpful_votes');
	$productReview->getData('created_at');
	$productReview->getData('status');
	$productReview->getData('media');
} 
``` 

### Get overall rating of service/product reviews and display star rating
```php
$this->helper('\Pinpoint\Feefo\Helper\Data')->getStarHtml($block->getAverageRating(), 'example-star-rating-css-class');
```

## Sales Order Feed
The sales order feed is generated on a cron job which runs at 23:50 every day and will publish the feed to `https://www.example.com/feefo/FeefoSalesOrderFeed`. This URL can only be accessed by IP addresses that have been defined in `Admin > Stores > Configuration > Pinpoint > Feefo > Sales XML Feed Settings > IP Restriction` otherwise it will return a  `403 Forbidden`.
#### How do I stop an order being added?
Head over to the order inside the admin and toggle the order being in the feed in the top right of the order screen.
